module WebFrontendBinect::AssignDocuments
    extend ActiveSupport::Concern
    included do
    end

    def assign_documents
        if current_user.present?
            Nukleus::Document.where(session_id: session[:session_id], all_document_versions: true).each do |document|
                next if document.user_id.present?
                document.user_id = current_user.id
                document.save
            end
            WebFrontendBinect::Payment.where(session_id: session[:session_id]).each do |payment|
                next if payment.user_id.present?
                payment.user_id = current_user.id
                payment.save
            end
        end
    end
end
